Targets

- « parallel\Events::setInput

- parallel\Events::addFuture »

- PHP Manual
- parallel\Events
- Targets

# parallel\Events::addChannel

(0.9.0)

parallel\Events::addChannel — Targets

### Description

public parallel\Events::addChannel(parallel\Channel `$channel`): void

Shall watch for events on the given `channel`

### Exceptions

Warning

Shall throw parallel\Events\Error\Existence if channel was already added.